﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace MvcContrib.Shp.UI.Menu
{
    ///<summary> 
    /// Represents an attribute that is used to set a <see cref="MenuItem"/> displayed Text via the associated Controller Action.
    ///</summary>
    public class MenuItemTextAttribute : Attribute
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="MenuItemTextAttribute"/> class.
        /// </summary>
        /// <param name="text">The displayed text associated with the <see cref="MenuItem"/>.</param>
        public MenuItemTextAttribute(string text)
        {
            Text = text;
        }

        /// <summary>
        /// Gets or sets the <see cref="MenuItem"/> displayed text.
        /// </summary>
        /// <value>The text.</value>
        public string Text { get; set; }
    }
}
