﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace MvcContrib.Shp.UI.Menu
{
    ///<summary> 
    /// Represents an attribute that is used to set a <see cref="MenuItem"/> Title/tooltip via the associated Controller Action.
    ///</summary>
    public class MenuItemTitleAttribute : Attribute
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="MenuItemTitleAttribute"/> class.
        /// </summary>
        /// <param name="title">The title/tooltip associated with the <see cref="MenuItem"/>.</param>
        public MenuItemTitleAttribute(string title)
        {
            Title = title;
        }

        /// <summary>
        /// Gets or sets the <see cref="MenuItem"/> title/tooltip.
        /// </summary>
        /// <value>The title.</value>
        public string Title { get; set; }
    }
}
