﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace MvcContrib.Shp.UI.Menu
{
    public class MenuSettings
    {
        private string _rootMenuContainerClass = "sf-menu";
        private string _rootMenuItemsClass = "sf-root";
        private string _disabledMenuItemClass = "sf-disabled";
        private string _selectedMenuItemClass = "sf-selected";
        
        /// <summary>
        /// Gets or sets the root menu container (ul) css class - default is 'sf-menu'.
        /// </summary>
        /// <value>The root menu container (ul) css class.</value>
        public string RootMenuContainerClass
        {
            get { return _rootMenuContainerClass; }
            set { _rootMenuContainerClass = value; }
        }

        /// <summary>
        /// Gets or sets the root menu container (ul) id.
        /// </summary>
        /// <value>The root menu container (ul) id.</value>
        public string RootMenuContainerId { get; set; }

        /// <summary>
        /// Gets or sets the root menu list items' css class - default is 'sf-root'.
        /// </summary>
        /// <value>The root menu list items' css class.</value>
        public string RootMenuItemsClass
        {
            get { return _rootMenuItemsClass; }
            set { _rootMenuItemsClass = value; }
        }

        /// <summary>
        /// Gets or sets the root menu first list item's css class.
        /// </summary>
        /// <value>The root menu first list item's css class.</value>
        public string FirstRootMenuItemClass { get; set; }

        /// <summary>
        /// Gets or sets the root menu last list item's css class.
        /// </summary>
        /// <value>The root menu last list item's css class.</value>
        public string LastRootMenuItemClass { get; set; }

        /// <summary>
        /// Gets or sets the disabled menu item's css class - default is 'sf-disabled'.
        /// </summary>
        /// <value>The disabled menu item class.</value>
        public string DisabledMenuItemClass
        {
            get { return _disabledMenuItemClass; }
            set { _disabledMenuItemClass = value; }
        }

        /// <summary>
        /// Gets or sets the selected menu item's css class - default is 'sf-selected'.
        /// </summary>
        /// <value>The selected menu item class.</value>
        public string SelectedMenuItemClass
        {
            get { return _selectedMenuItemClass; }
            set { _selectedMenuItemClass = value; }
        }
    }
}
