﻿using Shp.Web.Models;
using Shp.Web.Models.Contracts;
using Shp.Web.Models.Domain;
using Shp.Web.Models.ViewModels;
using StructureMap.Configuration.DSL;

namespace Shp.Web.Bootstrap
{
    public class DependencyRegistry : Registry
    {
        public DependencyRegistry()
        {
            // repository injection
            For(typeof(ICustomerRepository)).Use(typeof(CustomerRepository));

            // model view builder injection
            For<ICustomerListViewModelBuilder>().Use<CustomerListViewModelBuilder>();
        }
    }
}